Page MenuHomePhabricator

infinitepush: send treepack parts with the client push
ClosedPublic

Authored by durham on Sep 14 2017, 7:50 PM.

Details

Summary

This makes the client side pushes also include tree packs in the push.

Also adds a test to see that the tree parts round trip between two tree-only
clients.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

durham created this revision.Sep 14 2017, 7:50 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptSep 14 2017, 7:50 PM
mitrandir accepted this revision.Sep 18 2017, 11:31 AM
This revision is now accepted and ready to land.Sep 18 2017, 11:31 AM
stash added inline comments.Sep 18 2017, 12:20 PM
remotefilelog/shallowbundle.py
75

Is it related?

durham added inline comments.Sep 20 2017, 12:57 PM
remotefilelog/shallowbundle.py
75

This was needed to make the tests pass. Basically, if you're in treeonly mode you should also not be sending flat manifests. I think eventually I'll just delete the sendflat config.

This revision was automatically updated to reflect the committed changes.